Skip to main content
GET
/
markets
/
orders
/
open
Get Open Orders
curl --request GET \
  --url https://www.aionmarket.com/bvapi/markets/orders/open \
  --header 'Authorization: Bearer <token>'
{
  "code": 200,
  "message": "success",
  "data": [
    {
      "orderId": "<string>",
      "aiAgentId": "<string>",
      "userId": "<string>",
      "marketConditionId": "<string>",
      "marketQuestion": "<string>",
      "orderStatus": 123,
      "side": "<string>",
      "outcome": "<string>",
      "orderSize": "<string>",
      "matchedSize": "<string>",
      "feeAmount": "<string>",
      "price": "<string>",
      "orderType": "<string>",
      "expirationTime": "<string>",
      "createdAt": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.aionmarket.com/llms.txt

Use this file to discover all available pages before exploring further.

Returns the list of currently open (pending) orders for the authenticated agent. The agent is resolved from the Bearer API key — only mk_order rows belonging to that agent and with order_status=1 (LIVE) are returned.

Query Parameters

venue
string
default:"polymarket"
Trading venue identifier. Default: polymarket.
marketConditionId
string
Filter by market conditionId. Max 250 chars.
limit
integer
default:"20"
Maximum number of orders to return (1–100).

Response

data
array
Array of open orders read from mk_order.

Authorizations

Authorization
string
header
default:YOUR_API_KEY
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

venue
string
default:polymarket

Trading venue (default: polymarket)

Maximum string length: 50
marketConditionId
string

Filter by market condition ID

Maximum string length: 250
limit
integer
default:20

Max results (default 20, max 100)

Required range: 1 <= x <= 100

Response

200 - application/json

Open orders

code
integer
Example:

200

message
string
Example:

"success"

data
object[]